## GdauiGrid

GdauiGrid — Grid widget to manipulate data in a GdaDataModel, with decorations

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_grid_new ()
void | gdaui_grid_set_sample_size ()

## Types and Values

struct | GdauiGrid

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

## Functions

### gdaui_grid_new ()

    GtkWidget *
    gdaui_grid_new (GdaDataModel *model);

Creates a new GdauiGrid widget suitable to display the data in `model`

#### Parameters

model | a GdaDataModel, or `NULL`. | [allow-none]

#### Returns

the new widget.

[transfer full]

Since: 4.2

### gdaui_grid_set_sample_size ()

    void
    gdaui_grid_set_sample_size (GdauiGrid *grid,
                                gint sample_size);

Sets the size of each chunk of data to display: the maximum number of rows which can be displayed at a time. See `gdaui_raw_grid_set_sample_size()` and `gda_data_proxy_set_sample_size()`

#### Parameters

grid | a GdauiGrid widget |
sample_size | the size of the sample displayed in `grid` |

Since: 4.2

## Types and Values

### struct GdauiGrid

    struct GdauiGrid {
    	GtkBox             object;

    	GdauiGridPriv     *priv;
    };

## See Also

The GdauiRawGrid widget which is used by the GdaGrid widget.